Bug 174475 - 'rsync -H' segfaults
Summary: 'rsync -H' segfaults
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-29 13:59 UTC by Enrico Scholz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 16:47:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2005-11-29 13:59:46 UTC
Description of problem:

'rsync -H' segfaults when hardlinks of the source are not covered completely by
source.


Version-Release number of selected component (if applicable):

rsync-2.6.4-3


How reproducible:

100%


Steps to Reproduce:
1. mkdir A B
2. touch A/a
3. ln A/a A/b
4. rsync -H A/a B/
  

Actual results:

| rsync: connection unexpectedly closed (34 bytes received so far) [sender]
| rsync error: error in rsync protocol data stream (code 12) at io.c(420)

'strace -f' shows a SIGSEGV


Expected results:

no segfault

Comment 1 Enrico Scholz 2005-11-29 14:04:19 UTC
accordingly http://rsync.samba.org/ftp/rsync/OLDNEWS, this seems to be fixed in
2.6.5+

Comment 2 Christian Iseli 2007-01-22 11:32:11 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.